Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model.builder
Class FlowModelBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.engine.model.builder.FlowModelBuilderException

All Implemented Interfaces:
  java.io.Serializable

    public class FlowModelBuilderException

extends FlowException

Exception thrown to indicate a problem while building a flow model.

Author:
  Erwin Vervaet, Scott Andrews
See Also:
  `FlowModelBuilder`, Serialized Form

Constructor Summary
`FlowModelBuilderException(java.lang.String message)` Create a new flow model builder exception.
`FlowModelBuilderException(java.lang.String message, java.lang.Throwable cause)` Create a new flow model builder exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowModelBuilderException

    public FlowModelBuilderException(java.lang.String message)

  Create a new flow model builder exception.

  Parameters:
    `message` - descriptive message

### FlowModelBuilderException

    public FlowModelBuilderException(java.lang.String message,
                                     java.lang.Throwable cause)

  Create a new flow model builder exception.

  Parameters:
    `message` - descriptive message
    `cause` - the underlying cause of this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD